Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Unbounded_Stack_Iterator Class Template Reference

Implement an iterator over an unbounded Stack. More...

`#include <Containers_T.h>`

Collaboration diagram for ACE_Unbounded_Stack_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Unbounded_Stack_Iterator (ACE_Unbounded_Stack<T> &stack)
| Move to the first element in the <stack>.
int | next (T *&next_item)
| Pass back the <next_item> that hasn't been seen in the Stack. Returns 0 when all items have been seen, else 1.
int | advance (void)
| Move forward by one element in the Stack. Returns 0 when all the items in the Stack have been seen, else 1.
int | first (void)
| Move to the first element in the Stack. Returns 0 if the Stack is empty, else 1.
int | done (void) const
| Returns 1 when all items have been seen, else 0.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Node<T>* | current_
| Pointer to the current node in the iteration.
ACE_Unbounded_Stack<T>& | stack_
| Pointer to the Stack we're iterating over.

## Detailed Description

### template<class T> template class ACE_Unbounded_Stack_Iterator

Implement an iterator over an unbounded Stack.

## Constructor & Destructor Documentation

template<classT>
ACE_Unbounded_Stack_Iterator<T>::ACE_Unbounded_Stack_Iterator<T> ( | ACE_Unbounded_Stack< T >& stack )

| Move to the first element in the <stack>.

## Member Function Documentation

template<classT>
int ACE_Unbounded_Stack_Iterator<T>::advance ( | void )

| Move forward by one element in the Stack. Returns 0 when all the items in the Stack have been seen, else 1.

template<classT>
int ACE_Unbounded_Stack_Iterator<T>::done ( | void ) const

| Returns 1 when all items have been seen, else 0.

template<classT>
void ACE_Unbounded_Stack_Iterator<T>::dump ( | void ) const

| Dump the state of an object.

template<classT>
int ACE_Unbounded_Stack_Iterator<T>::first ( | void )

| Move to the first element in the Stack. Returns 0 if the Stack is empty, else 1.

template<classT>
int ACE_Unbounded_Stack_Iterator<T>::next ( | T *& next_item )

| Pass back the <next_item> that hasn't been seen in the Stack. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

template<classT>
ACE_Unbounded_Stack_Iterator<T>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classT>
ACE_Node< T >* ACE_Unbounded_Stack_Iterator<T>::current_`[private]`

| Pointer to the current node in the iteration.

template<classT>
ACE_Unbounded_Stack< T >& ACE_Unbounded_Stack_Iterator<T>::stack_`[private]`

| Pointer to the Stack we're iterating over.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp